<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Servicio extends Model
{
    use HasFactory;

    protected $table = 'servicios';

    protected $fillable = [
        'titulo',
        'estado',
        'descripcion',
        'visibleenweb',
        'contenidoweb_id',
        'profesion_id',
        'foto_id',
    ];

    //pertenece a

    public function contenidoWeb()
    {
        return $this->belongsTo(ContenidoWeb::class, 'contenidoweb_id', 'id');
    }
    public function profesion()
    {
        return $this->belongsTo(Profesion::class, 'profesion_id', 'id');
    }
    public function foto()
    {
        return $this->belongsTo(Foto::class, 'foto_id', 'id');
    }

    // Tiene un

    public function formulario()
    {
        return $this->hasOne(Formulario::class, 'servicio_id', 'id');
    }

    public function turno()
    {
        return $this->hasOne(Turno::class, 'servicio_id', 'id');
    }

    //Tablas intermedias

    public function profesional()
    {
        return $this->belongsToMany(Profesional::class, 'profesionales_servicios', 'servicio_id', 'profesional_id');
    }


}
